### Name: getOutcomeProb
### Title: Calculate the Probability of a Specified Set of Outcomes of a
###   Dice-Roll
### Aliases: getOutcomeProb
### Keywords: distribution

### ** Examples


## Don't show: 
stopifnot(all.equal(getOutcomeProb(1, 6, list(c(4, 5, 6))), .5, tolerance=.0001))
stopifnot(all.equal(getOutcomeProb(4, 6, list(6, c(5, 6), c(4, 5, 6))), 0.1952160, tolerance=.0001))
## End Don't show

## Probability of rolling at least one 6 when rolling four six-sided dice

getOutcomeProb(ndice = 4,
               nsides = 6,
               outcomeList = list(6))

## Probability of rolling a 6, followed by a 5, followed by either a 1, 2,
## or 3 when rolling three six-sided dice

getOutcomeProb(ndice = 3,
               nsides = 6,
               outcomeList = list(6, 5, 1:3),
               orderMatters = TRUE)

## Probability of rolling no 10's when rolling two ten-sided dice

getOutcomeProb(ndice = 2,
               nsides = 10,
               outcomeList = list(1:9,1:9))




